SOAPBinding (Java Platform SE 8 )
Keywords: javax.xml.ws.soap.SOAPBinding interface
Date: 2016-10-23

javax.xml.ws.soap

## Interface SOAPBinding

- All Superinterfaces:
    Binding

      public interface SOAPBinding
      extends Binding

  The `SOAPBinding` interface is an abstraction for the SOAP binding.
  Since:
    JAX-WS 2.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SOAP11HTTP_BINDING` A constant representing the identity of the SOAP 1.1 over HTTP binding.
    `static String` | `SOAP11HTTP_MTOM_BINDING` A constant representing the identity of the SOAP 1.1 over HTTP binding with MTOM enabled by default.
    `static String` | `SOAP12HTTP_BINDING` A constant representing the identity of the SOAP 1.2 over HTTP binding.
    `static String` | `SOAP12HTTP_MTOM_BINDING` A constant representing the identity of the SOAP 1.2 over HTTP binding with MTOM enabled by default.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `MessageFactory` | `getMessageFactory()` Gets the SAAJ `MessageFactory` instance used by this SOAP binding.
    `Set<String>` | `getRoles()` Gets the roles played by the SOAP binding instance.
    `SOAPFactory` | `getSOAPFactory()` Gets the SAAJ `SOAPFactory` instance used by this SOAP binding.
    `boolean` | `isMTOMEnabled()` Returns `true` if the use of MTOM is enabled.
    `void` | `setMTOMEnabled(boolean flag)` Enables or disables use of MTOM.
    `void` | `setRoles(Set<String> roles)` Sets the roles played by the SOAP binding instance.

    - ### Methods inherited from interface javax.xml.ws.Binding

      `getBindingID, getHandlerChain, setHandlerChain`

- - ### Field Detail

    - #### SOAP11HTTP_BINDING

          static final String SOAP11HTTP_BINDING

      A constant representing the identity of the SOAP 1.1 over HTTP binding.
      See Also:
        Constant Field Values

    - #### SOAP12HTTP_BINDING

          static final String SOAP12HTTP_BINDING

      A constant representing the identity of the SOAP 1.2 over HTTP binding.
      See Also:
        Constant Field Values

    - #### SOAP11HTTP_MTOM_BINDING

          static final String SOAP11HTTP_MTOM_BINDING

      A constant representing the identity of the SOAP 1.1 over HTTP binding with MTOM enabled by default.
      See Also:
        Constant Field Values

    - #### SOAP12HTTP_MTOM_BINDING

          static final String SOAP12HTTP_MTOM_BINDING

      A constant representing the identity of the SOAP 1.2 over HTTP binding with MTOM enabled by default.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getRoles

          Set<String> getRoles()

      Gets the roles played by the SOAP binding instance.
      Returns:
        Set<String> The set of roles played by the binding instance.

    - #### setRoles

          void setRoles(Set<String> roles)

      Sets the roles played by the SOAP binding instance.
      Parameters:
        `roles` - The set of roles played by the binding instance.
      Throws:
        `WebServiceException` - On an error in the configuration of the list of roles.

    - #### isMTOMEnabled

          boolean isMTOMEnabled()

      Returns `true` if the use of MTOM is enabled.
      Returns:
        `true` if and only if the use of MTOM is enabled.

    - #### setMTOMEnabled

          void setMTOMEnabled(boolean flag)

      Enables or disables use of MTOM.
      Parameters:
        `flag` - A `boolean` specifying whether the use of MTOM should be enabled or disabled.
      Throws:
        `WebServiceException` - If the specified setting is not supported by this binding instance.

    - #### getSOAPFactory

          SOAPFactory getSOAPFactory()

      Gets the SAAJ `SOAPFactory` instance used by this SOAP binding.
      Returns:
        SOAPFactory instance used by this SOAP binding.

    - #### getMessageFactory

          MessageFactory getMessageFactory()

      Gets the SAAJ `MessageFactory` instance used by this SOAP binding.
      Returns:
        MessageFactory instance used by this SOAP binding.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.